# Uses of Interface
org.bukkit.persistence.PersistentDataAdapterContext

Packages that use PersistentDataAdapterContext
Package
Description
org.bukkit.persistence
Classes that allow attaching persistent data to various objects.

## Uses of PersistentDataAdapterContext in org.bukkit.persistence

Methods in org.bukkit.persistence that return PersistentDataAdapterContext
Modifier and Type
Method
Description
`@NotNull PersistentDataAdapterContext`
PersistentDataContainer.`getAdapterContext()`
Returns the adapter context this tag container uses.
Methods in org.bukkit.persistence with parameters of type PersistentDataAdapterContext
Modifier and Type
Method
Description
`Z`
PersistentDataType.`fromPrimitive(T primitive, @NotNull PersistentDataAdapterContext context)`
Creates a complex object based of the passed primitive value
`T`
PersistentDataType.PrimitivePersistentDataType.`fromPrimitive(T primitive, @NotNull PersistentDataAdapterContext context)`
`T`
PersistentDataType.PrimitivePersistentDataType.`toPrimitive(T complex, @NotNull PersistentDataAdapterContext context)`
`T`
PersistentDataType.`toPrimitive(Z complex, @NotNull PersistentDataAdapterContext context)`
Returns the primitive data that resembles the complex object passed to this method.